Xless(1x)

NAME
xless - File browsing program for the X Window System.

SYNOPSIS
xless [-f] [-toolkitoption ...] [filename ...]

DESCRIPTION
Xless pops up a window on the display specified, containing the file specified on the command line or piped in from stdin. This file may easily be viewed using the scrollbar to the left of the window. Xless also takes input from the standard input. Extra function are available on the toolbox to the right of the window:

- Pop up a help window.

- Search a specified pattern

- Search the next occurance of the above specified pattern

- Open a session of the editor (specified in the environment variable EDITOR) on the current file

- Reload the current file

- Change file in the current window

- Open a new xless window to display the specified file

- Print the current file

- Close the current window

For further information on using xless please read the online help information. The rest of this manual page will discuss customization of xless to suit the needs of a particular user.

OPTIONS

Xless is build upon the X Toolkit (Xt) and as such understands all the normal command line options (as described in X(1). It also supports:

-follow
    Continually check the file for new input (so that xless behaves like tail -f).

-f  Alias for -f.

-help
    Print a list of valid options. -version Print the version number of this xless executable.

WIDGET AND RESOURCE NAMES

In addition to the usual widget resources, Xless has the following application resources:

standardFont
    The default font to be used if any of the specified fonts are available.

textFont
    The fonts to use for the text.

labelFont
    The fonts to use for labels in dialog boxes.

buttonFont
    The fonts to use for labels on buttons.

standardCur
    The cursors to use in the main button window with the Quit and Help commands.

dialogCur
    The cursors to use in the toolbox and dialog box windows.

helpFile
    Name of a file to use instead of the system default helpfile.

editor
    Name of editor to invoke (if neither VISUAL nor EDITOR environment variable is set)

editorDoesWindows
    Set to TRUE if your editor brings up its own window (xedit or GNU emacs, for example.)

printCommand
    Command string used to print the current file. The name of the file is simply appended to this string. (enscript -G is nice, if you've got it.)

maxWindows
    Maximum number of windows which xless will display at one time. Set this to zero if you don't want a limit.
    (This is a good    thing to set if you tend to run xless *
    in directories with lots of files.)

quitButton
    Set to TRUE if you want a Quit button on every window which, when clicked, will quit every window started from this copy of xless. The default is FALSE.

sizeToFit
    Set to TRUE if you want text windows to be only as big as they need to be, up to the maximum size specified by 'geometry'.

removePath
    Set to TRUE if you want the directory portion of the file path removed. For example, a path like /usr/src/X11/xless/main.c would be shortened to main.c. The default is TRUE.

defaultSearchType
    Default method used to search the text (invoked from the Search button). Possible values are ExactMatch (which is the default), CaseInsensitive and RegularExpression.

monitorFile
    Set to TRUE if you want the file to be continually checked for new input (so that xless behaves like tail -f). The default is FALSE.

COLOR RESOURCES

If you have a color display and you're running at least X11R5, you may want to add a line like:

    	#ifdef COLOR
    	*customization: -color
    	#endif

to your personal resources file. This will allow you to get the color-related resources for not only xless, but for every program which sets up its own color resources.

Versions of X earlier than X11R5 don't support the customization resource. If you're on one of those, you'll have to include the color resources in your personal resources file.

SEE ALSO
X(1), X(8C), more(1), less(1)

BUGS
There probably are some.

AUTHOR
Dave Glowacki (UC Berkeley Software Warehouse)    <dglo@CS.Berkeley.EDU>

Originally by Carlo Lisa (MIT Project Athena) from xmore written by Chris Peterson (MIT Project Athena).